<?php

namespace App\Classes\Modules\PackingLists\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\PackingLists\DataTransferObjects\PackingListObject;

class PackingListValidation extends AbstractValidation
{


    /**
     * @param PackingListObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'status' => $object->getStatus(),
            'reference' => $object->getReference()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'status' => 'required',
            'reference' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }

}
